Skip to main content
GET
List models

Authorizations

Authorization
string
header
required

A Voyager API key from https://voyager.so/dashboard/api.

Query Parameters

type
enum<string> | null

Only models of this job type.

Available options:
image,
video,
speech,
music,
sound_effect,
3d,
segment
operation
enum<string> | null

Only models that run this operation.

Available options:
text-to-image,
edit,
text-to-video,
image-to-video,
reference-to-video,
tts,
music,
sound-effects,
text-to-3d,
image-to-3d,
image-to-3d-body,
align-3d,
segment-image,
segment-image-data,
segment-video,
segment-video-data,
segment-everything,
image-embedding
q
string | null

Words in the id, name or description.

Maximum string length: 100
limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string | null
Maximum string length: 400

Response

Successful Response

data
ModelSummary · object[]
required

This page's items.

has_more
boolean
required

Whether another page follows.

next_cursor
string | null
required

Pass as cursor to read the next page; null on the last page.

object
string
default:list

Always "list".

Allowed value: "list"